//
// Created by spenc on 5/14/2025.
//

#include "Editor.h"
#include "Layer.h"
#include "Core.h"

int main()
{
    OX::Core core{};

    core.AddLayer(std::make_unique<OX::Editor>(OX_EDITOR_VERSION));

    //core.AddLayer(std::make_unique<OX::DummyLayer>("Dummy Layer"));

    core.Init();
    core.Run();
    core.Shutdown();
}
